package com.iformall.enums;


/**
 * @author gongbiao
 */

public enum EnumBillType {

    RENT(1,"租金"),
    DEPOSIT(2,"押金"),
    PROPERTY(3,"物业"),
    WATER(4, "水费"),
    POWER(5, "电费"),
    ROUTINE(6, "其他"),
    AIR_CONDITIONING(7, "空调费"),
    OTHER_DEPOSIT(8, "其他押金"),
    SETTLE(10, "结算单")
    ;

    public static EnumBillType getEnum(Integer code) {
        for (EnumBillType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumBillType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
